API referenceProjects
Get a project
Fetch one project by id.
Returns 404 (not 403) when the project exists but is not accessible by the API key — so callers cannot probe for existence.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
"status": "draft",
"type": "string",
"target_duration_seconds": 0,
"scene_density": "string",
"thumbnail_url": "string",
"aspect_ratio": "string",
"duration": 0,
"total_scenes": 0,
"rendered_scenes": 0,
"failed_scenes": 0,
"render_url": "string",
"settings": {
"property1": null,
"property2": null
},
"global_style": "string",
"edit_version": 0,
"brief": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}